Вы находитесь здесь

Форум

Python errors

Автор Replies
lindy Sunday 26 December 2010 at 7:12
lindyAnonymous

When I try to run Play on Linux I get the following error:

Traceback (most recent call last):
File "/usr/share/playonlinux/python/mainwindow.py", line 25, in <module>
import wx, wx.html, webbrowser
File "/usr/lib/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/__init__.py", line 45, in <module>
from wx._core import *
File "/usr/lib/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 4, in <module>
import _core_
ImportError: /usr/lib/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/_core_.so: symbol _ZN12wxSizerFlags24ReserveSpaceEvenIfHiddenEv, version WXU_2.8.8 not defined in file libwx_gtk2u_core-2.8.so.0 with link time reference

What can I do to correct this? I'm running suse 11.3, and as far as I can tell everything is up to date. Play on Linux version is 3.8.5
TheUnknownCylon Tuesday 28 December 2010 at 15:36
TheUnknownCylonAnonymous

This is an already reported bug ^_^
http://bugs.playonlinux.com/en/issue-82.html

You can use the commandline instead (./playonlinux-cmd --help ).

If you have installed it from the repo, you can find the location of that command with "whereis playonlinux", playonlinux-cmd is in the same folder as playonlinux. **However** I recommend you to download the Generic package instead of using the pacman version because the pacman version is out of date (v3.8.5). The generic download at http://www.playonlinux.com/en/download.html is v3.8.8
Quentin PÂRIS Tuesday 28 December 2010 at 15:41
Quentin PÂRIS
Admin

What python version are installed on your computer ?
TheUnknownCylon Tuesday 28 December 2010 at 20:39
TheUnknownCylonAnonymous

$ python --version
Python 2.6.5
lindy Wednesday 29 December 2010 at 0:09
lindyAnonymous

My Python version is 2.6.5...
As it turns out it's actually my bad. I didn't have everything as updated as I thought. After updating my repo list all is well.
Quentin PÂRIS Wednesday 29 December 2010 at 14:37
Quentin PÂRIS
Admin

Do you have any other python installed ?

Type ls /usr/bin/python*
TheUnknownCylon Wednesday 29 December 2010 at 18:46
TheUnknownCylonAnonymous

Yes, I have also python 3.1 installed on my system:

$ ls /usr/bin/python*
/usr/bin/python /usr/bin/python2.6 /usr/bin/python3 /usr/bin/python-config
/usr/bin/python2 /usr/bin/python2.6-config /usr/bin/python3.1

$ /usr/bin/python3.1 --version
Python 3.1
Вы находитесь здесь: Index > PlayOnLinux > Python errors